published on Wednesday, Jul 29, 2026 by Pulumi
published on Wednesday, Jul 29, 2026 by Pulumi
Get a AutoUpgradeProfile
Uses Azure REST API version 2024-05-02-preview.
Other available API versions: 2025-03-01, 2025-04-01-preview, 2025-08-01-preview, 2026-02-01-preview, 2026-03-02-preview. These can be accessed by generating a local SDK package using the CLI command pulumi package add azure-native containerservice [ApiVersion]. See the version guide for details.
Using getAutoUpgradeProfile
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getAutoUpgradeProfile(args: GetAutoUpgradeProfileArgs, opts?: InvokeOptions): Promise<GetAutoUpgradeProfileResult>
function getAutoUpgradeProfileOutput(args: GetAutoUpgradeProfileOutputArgs, opts?: InvokeOptions): Output<GetAutoUpgradeProfileResult>def get_auto_upgrade_profile(auto_upgrade_profile_name: Optional[str] = None,
fleet_name: Optional[str] = None,
resource_group_name: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetAutoUpgradeProfileResult
def get_auto_upgrade_profile_output(auto_upgrade_profile_name: pulumi.Input[Optional[str]] = None,
fleet_name: pulumi.Input[Optional[str]] = None,
resource_group_name: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetAutoUpgradeProfileResult]func LookupAutoUpgradeProfile(ctx *Context, args *LookupAutoUpgradeProfileArgs, opts ...InvokeOption) (*LookupAutoUpgradeProfileResult, error)
func LookupAutoUpgradeProfileOutput(ctx *Context, args *LookupAutoUpgradeProfileOutputArgs, opts ...InvokeOption) LookupAutoUpgradeProfileResultOutput> Note: This function is named LookupAutoUpgradeProfile in the Go SDK.
public static class GetAutoUpgradeProfile
{
public static Task<GetAutoUpgradeProfileResult> InvokeAsync(GetAutoUpgradeProfileArgs args, InvokeOptions? opts = null)
public static Output<GetAutoUpgradeProfileResult> Invoke(GetAutoUpgradeProfileInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetAutoUpgradeProfileResult> getAutoUpgradeProfile(GetAutoUpgradeProfileArgs args, InvokeOptions options)
public static Output<GetAutoUpgradeProfileResult> getAutoUpgradeProfile(GetAutoUpgradeProfileArgs args, InvokeOptions options)
fn::invoke:
function: azure-native:containerservice:getAutoUpgradeProfile
arguments:
# arguments dictionarydata "azure-native_containerservice_get_auto_upgrade_profile" "name" {
# arguments
}The following arguments are supported:
- Auto
Upgrade stringProfile Name - The name of the AutoUpgradeProfile resource.
- Fleet
Name string - The name of the Fleet resource.
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Auto
Upgrade stringProfile Name - The name of the AutoUpgradeProfile resource.
- Fleet
Name string - The name of the Fleet resource.
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- auto_
upgrade_ stringprofile_ name - The name of the AutoUpgradeProfile resource.
- fleet_
name string - The name of the Fleet resource.
- resource_
group_ stringname - The name of the resource group. The name is case insensitive.
- auto
Upgrade StringProfile Name - The name of the AutoUpgradeProfile resource.
- fleet
Name String - The name of the Fleet resource.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- auto
Upgrade stringProfile Name - The name of the AutoUpgradeProfile resource.
- fleet
Name string - The name of the Fleet resource.
- resource
Group stringName - The name of the resource group. The name is case insensitive.
- auto_
upgrade_ strprofile_ name - The name of the AutoUpgradeProfile resource.
- fleet_
name str - The name of the Fleet resource.
- resource_
group_ strname - The name of the resource group. The name is case insensitive.
- auto
Upgrade StringProfile Name - The name of the AutoUpgradeProfile resource.
- fleet
Name String - The name of the Fleet resource.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
getAutoUpgradeProfile Result
The following output properties are available:
- Azure
Api stringVersion - The Azure API version of the resource.
- Channel string
- Configures how auto-upgrade will be run.
- ETag string
- If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id string
- Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
- Name string
- The name of the resource
- Provisioning
State string - The provisioning state of the AutoUpgradeProfile resource.
- System
Data Pulumi.Azure Native. Container Service. Outputs. System Data Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- Disabled bool
- If set to False: the auto upgrade has effect - target managed clusters will be upgraded on schedule. If set to True: the auto upgrade has no effect - no upgrade will be run on the target managed clusters. This is a boolean and not an enum because enabled/disabled are all available states of the auto upgrade profile. By default, this is set to False.
- Node
Image Pulumi.Selection Azure Native. Container Service. Outputs. Auto Upgrade Node Image Selection Response - The node image upgrade to be applied to the target clusters in auto upgrade.
- Update
Strategy stringId - The resource id of the UpdateStrategy resource to reference. If not specified, the auto upgrade will run on all clusters which are members of the fleet.
- Azure
Api stringVersion - The Azure API version of the resource.
- Channel string
- Configures how auto-upgrade will be run.
- ETag string
- If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id string
- Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
- Name string
- The name of the resource
- Provisioning
State string - The provisioning state of the AutoUpgradeProfile resource.
- System
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- Disabled bool
- If set to False: the auto upgrade has effect - target managed clusters will be upgraded on schedule. If set to True: the auto upgrade has no effect - no upgrade will be run on the target managed clusters. This is a boolean and not an enum because enabled/disabled are all available states of the auto upgrade profile. By default, this is set to False.
- Node
Image AutoSelection Upgrade Node Image Selection Response - The node image upgrade to be applied to the target clusters in auto upgrade.
- Update
Strategy stringId - The resource id of the UpdateStrategy resource to reference. If not specified, the auto upgrade will run on all clusters which are members of the fleet.
- azure_
api_ stringversion - The Azure API version of the resource.
- channel string
- Configures how auto-upgrade will be run.
- e_
tag string - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id string
- Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
- name string
- The name of the resource
- provisioning_
state string - The provisioning state of the AutoUpgradeProfile resource.
- system_
data object - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- disabled bool
- If set to False: the auto upgrade has effect - target managed clusters will be upgraded on schedule. If set to True: the auto upgrade has no effect - no upgrade will be run on the target managed clusters. This is a boolean and not an enum because enabled/disabled are all available states of the auto upgrade profile. By default, this is set to False.
- node_
image_ objectselection - The node image upgrade to be applied to the target clusters in auto upgrade.
- update_
strategy_ stringid - The resource id of the UpdateStrategy resource to reference. If not specified, the auto upgrade will run on all clusters which are members of the fleet.
- azure
Api StringVersion - The Azure API version of the resource.
- channel String
- Configures how auto-upgrade will be run.
- e
Tag String - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id String
- Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
- name String
- The name of the resource
- provisioning
State String - The provisioning state of the AutoUpgradeProfile resource.
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- disabled Boolean
- If set to False: the auto upgrade has effect - target managed clusters will be upgraded on schedule. If set to True: the auto upgrade has no effect - no upgrade will be run on the target managed clusters. This is a boolean and not an enum because enabled/disabled are all available states of the auto upgrade profile. By default, this is set to False.
- node
Image AutoSelection Upgrade Node Image Selection Response - The node image upgrade to be applied to the target clusters in auto upgrade.
- update
Strategy StringId - The resource id of the UpdateStrategy resource to reference. If not specified, the auto upgrade will run on all clusters which are members of the fleet.
- azure
Api stringVersion - The Azure API version of the resource.
- channel string
- Configures how auto-upgrade will be run.
- e
Tag string - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id string
- Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
- name string
- The name of the resource
- provisioning
State string - The provisioning state of the AutoUpgradeProfile resource.
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- disabled boolean
- If set to False: the auto upgrade has effect - target managed clusters will be upgraded on schedule. If set to True: the auto upgrade has no effect - no upgrade will be run on the target managed clusters. This is a boolean and not an enum because enabled/disabled are all available states of the auto upgrade profile. By default, this is set to False.
- node
Image AutoSelection Upgrade Node Image Selection Response - The node image upgrade to be applied to the target clusters in auto upgrade.
- update
Strategy stringId - The resource id of the UpdateStrategy resource to reference. If not specified, the auto upgrade will run on all clusters which are members of the fleet.
- azure_
api_ strversion - The Azure API version of the resource.
- channel str
- Configures how auto-upgrade will be run.
- e_
tag str - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id str
- Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
- name str
- The name of the resource
- provisioning_
state str - The provisioning state of the AutoUpgradeProfile resource.
- system_
data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type str
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- disabled bool
- If set to False: the auto upgrade has effect - target managed clusters will be upgraded on schedule. If set to True: the auto upgrade has no effect - no upgrade will be run on the target managed clusters. This is a boolean and not an enum because enabled/disabled are all available states of the auto upgrade profile. By default, this is set to False.
- node_
image_ Autoselection Upgrade Node Image Selection Response - The node image upgrade to be applied to the target clusters in auto upgrade.
- update_
strategy_ strid - The resource id of the UpdateStrategy resource to reference. If not specified, the auto upgrade will run on all clusters which are members of the fleet.
- azure
Api StringVersion - The Azure API version of the resource.
- channel String
- Configures how auto-upgrade will be run.
- e
Tag String - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id String
- Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
- name String
- The name of the resource
- provisioning
State String - The provisioning state of the AutoUpgradeProfile resource.
- system
Data Property Map - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- disabled Boolean
- If set to False: the auto upgrade has effect - target managed clusters will be upgraded on schedule. If set to True: the auto upgrade has no effect - no upgrade will be run on the target managed clusters. This is a boolean and not an enum because enabled/disabled are all available states of the auto upgrade profile. By default, this is set to False.
- node
Image Property MapSelection - The node image upgrade to be applied to the target clusters in auto upgrade.
- update
Strategy StringId - The resource id of the UpdateStrategy resource to reference. If not specified, the auto upgrade will run on all clusters which are members of the fleet.
Supporting Types
AutoUpgradeNodeImageSelectionResponse
- Type string
- The node image upgrade type.
- Type string
- The node image upgrade type.
- type string
- The node image upgrade type.
- type String
- The node image upgrade type.
- type string
- The node image upgrade type.
- type str
- The node image upgrade type.
- type String
- The node image upgrade type.
SystemDataResponse
- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- created_
at string - The timestamp of resource creation (UTC).
- created_
by string - The identity that created the resource.
- created_
by_ stringtype - The type of identity that created the resource.
- last_
modified_ stringat - The timestamp of resource last modification (UTC)
- last_
modified_ stringby - The identity that last modified the resource.
- last_
modified_ stringby_ type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
- created
At string - The timestamp of resource creation (UTC).
- created
By string - The identity that created the resource.
- created
By stringType - The type of identity that created the resource.
- last
Modified stringAt - The timestamp of resource last modification (UTC)
- last
Modified stringBy - The identity that last modified the resource.
- last
Modified stringBy Type - The type of identity that last modified the resource.
- created_
at str - The timestamp of resource creation (UTC).
- created_
by str - The identity that created the resource.
- created_
by_ strtype - The type of identity that created the resource.
- last_
modified_ strat - The timestamp of resource last modification (UTC)
- last_
modified_ strby - The identity that last modified the resource.
- last_
modified_ strby_ type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
Package Details
- Repository
- Azure Native pulumi/pulumi-azure-native
- License
- Apache-2.0
published on Wednesday, Jul 29, 2026 by Pulumi